Britive platform release 2026.09.02 is now live in production.

Clone resource

Prev Next
Post
/api/resource-manager/resources/{id}/clone

Clones a resource into a new, independent resource. Non-secret parameter values are copied; secret parameter values are never copied and must be supplied on the clone before it can be checked out.

Security
HTTP
Type bearer
Path parameters
id
stringRequired

Id/Name of the resource to be cloned

Query parameters
options
string

Comma separated clone options - resource (mandatory), labels, brokerPools; unknown options return 400

Body parameters

Name and description for the cloned resource

object

Name (required) and description for a clone; everything else is copied from the source.

name
string

Name of the clone.

description
string

Description of the clone.

Responses
201

Resource cloned completely

Expand All
object
resourceId
string
name
string
description
string
resourceType
object (ResourceType)
id
string
name
string
origin
string
createdBy
integer
updatedBy
integer
createdOn
string
updatedOn
string
brokerPools
Array of object (BrokerPoolDetailsDto)
object
brokerPoolId
string
brokerPoolName
string
brokerPoolDesc
string
brokerCount
integer
paramValues
object (ResourceParamValue)
property*
string additionalProperties
resourceLabels
object (LabelAssociation)
property*
Array of string additionalProperties
string
207

Resource cloned, but a step did not complete or secret parameter values must be supplied

Expand All
object

Body of a 207 from the resource clone endpoint. The clone itself is always under success - a 207 means the clone exists and needs follow-up, not that it failed

success
object (ResourceDto)
resourceId
string
name
string
description
string
resourceType
object (ResourceType)
id
string
name
string
origin
string
createdBy
integer
updatedBy
integer
createdOn
string
updatedOn
string
brokerPools
Array of object (BrokerPoolDetailsDto)
object
brokerPoolId
string
brokerPoolName
string
brokerPoolDesc
string
brokerCount
integer
paramValues
object (ResourceParamValue)
property*
string additionalProperties
resourceLabels
object (LabelAssociation)
property*
Array of string additionalProperties
string
pendingSecretParameters
Array of string

Secret parameter values the source had that were deliberately not copied. Supply these on the clone before checking it out - they were not lost from the source

string
failure
object (ResourceCloneFailures)

The parts of a resource clone that did not complete, grouped by clone option

brokerPools
Array of object (CloneFailure)
object

One clone step that did not complete

id
string

Identifier of the object the step was operating on

name
string

Name of the object, when known

errorMessage
string
400

Bad Request

404

Resource id does not exist